# Contents 

This repo contains input files, scripts and data necessary to reproduce the figures and findings discussed in
https://chemrxiv.org/engage/chemrxiv/article-details/64ff13eab338ec988a4984dd


# Required packages

To run the exact diagonalization calculations TRIQS is required (https://triqs.github.io/triqs/latest/install.html).
The plotting is done via matplotlib and plotly.

# Notebooks
The notebook **HubbardModelTriqs.ipynb** uses TRIQS to diagonalize the many-electron Hamiltonian in Eq. 2.
Natural orbital occupation numbers and the energies of the lowest three singlets are saved and can be plotted via the plotting notebooks.

The notebook **Plotly_plots.ipynb** can be used to reproduce Figures 2 and 4(B). For Figures 5(C) and 6, use the notebook **PES_of_Hamiltonian.ipynb**, and for Figure 6(A) use the nootebook **NOON.ipynb**. 
